> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar campanha por ID



## OpenAPI

````yaml https://api.nuvia.ai/api/docs/user-json get /v1/campaigns/{id}
openapi: 3.0.0
info:
  title: Nuvia API - Empresa
  description: Documentação da API para empresas
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: auth
    description: Autenticação
paths:
  /v1/campaigns/{id}:
    get:
      tags:
        - campaigns
      summary: Buscar campanha por ID
      operationId: CampaignController_findById
      parameters:
        - name: x-company-id
          in: header
          description: >-
            Identificador da empresa-alvo. Obrigatório apenas para API Keys
            globais (type=global). Ignorado para API Keys de empresa e usuários
            humanos.
          required: false
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: ID da campanha
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignEntity'
      security:
        - JWT-auth: []
components:
  schemas:
    CampaignEntity:
      type: object
      properties:
        _id:
          $ref: '#/components/schemas/ObjectId'
        company:
          type: object
        name:
          type: string
        description:
          type: string
        channel_type:
          type: object
        trigger_type:
          type: string
          enum:
            - MANUAL
            - SCHEDULED
            - RECURRING
            - EXTERNAL_TRIGGER
        trigger_config:
          type: object
        audience_config:
          type: object
        behavior_config:
          type: object
        linkedin_config:
          type: object
        sender_config:
          type: object
        status:
          enum:
            - DRAFT
            - ACTIVE
            - PAUSED
            - COMPLETED
            - ARCHIVED
          type: string
        metrics:
          type: object
        last_execution_at:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - _id
        - company
        - name
        - channel_type
        - trigger_type
        - trigger_config
        - audience_config
        - status
        - metrics
    ObjectId:
      type: object
      properties: {}
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Token JWT de autenticação

````